unix-compat-0.7.4.1: Portable POSIX-compatibility layer.

Safe Haskell | None
Language | Haskell2010

System.PosixCompat.Extensions

Contents

- Device IDs.

Description

This module provides some functions not present in the unix package.

Synopsis

- type CMajor = CUInt
- type CMinor = CUInt
- deviceMajor :: DeviceID -> CMajor
- deviceMinor :: DeviceID -> CMinor
- makeDeviceID :: CMajor -> CMinor -> DeviceID

# Device IDs.

type CMajor = CUInt Source #

type CMinor = CUInt Source #

deviceMajor :: DeviceID -> CMajor Source #

Gets the major number from a `DeviceID` for a device file.

The portable implementation always returns `0`.

deviceMinor :: DeviceID -> CMinor Source #

Gets the minor number from a `DeviceID` for a device file.

The portable implementation always returns `0`.

makeDeviceID :: CMajor -> CMinor -> DeviceID Source #

Creates a `DeviceID` for a device file given a major and minor number.